cURL
curl --request GET \
--url https://my.cald.ai/client/api/v1/agents/{agentId} \
--header 'Authorization: <api-key>'import requests
url = "https://my.cald.ai/client/api/v1/agents/{agentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://my.cald.ai/client/api/v1/agents/{agentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"maxCallDuration": 10,
"recordingSettings": {
"enable": false
},
"instructions": "<string>",
"greeting": "<string>",
"transferSettings": {
"enable": false,
"rule": "always",
"phoneNumber": "<string>"
},
"machineSettings": {
"enable": false
},
"voicemailSettings": {
"enable": false,
"voicemail": "<string>"
},
"webhookSettings": {
"enable": false,
"url": "<string>"
},
"smsSettings": {
"enable": false,
"rule": "always",
"message": "<string>"
},
"voice": "standard_male",
"agentId": "<string>"
}Agents
Get an Agent
Get information about a specific agent
GET
/
agents
/
{agentId}
cURL
Authorizations
Your API key, e.g. caldLiveDe39a3accb206dd615f30d118e519df0
Path Parameters
The agent ID of the agent
Response
Agent information
The name given to the agent in the MyCald Dashboard
The maximum duration of a call in minutes, between 1 and 60
Show child attributes
Show child attributes
The instructions for the agent, for example, Hi, convince the prospect to buy the product
The greeting for the agent, for example, Hi there!
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The voice ID of the voice to use for the agent, for example, standard_male
The agent ID of the agent